@article {BroSan18,
	author = {Brown, Noam and Sandholm, Tuomas},
	title = {Superhuman {AI} for heads-up no-limit poker: Libratus beats top professionals},
	volume = {359},
	number = {6374},
	pages = {418--424},
	year = {2018},
	doi = {10.1126/science.aao1733},
	publisher = {American Association for the Advancement of Science},
	abstract = {Pitting artificial intelligence (AI) against top human players demonstrates just how far AI has come. Brown and Sandholm built a poker-playing AI called Libratus that decisively beat four leading human professionals in the two-player variant of poker called heads-up no-limit Texas hold{\textquoteright}em (HUNL). Over nearly 3 weeks, Libratus played 120,000 hands of HUNL against the human professionals, using a three-pronged approach that included precomputing an overall strategy, adapting the strategy to actual gameplay, and learning from its opponent.Science, this issue p. 418No-limit Texas hold{\textquoteright}em is the most popular form of poker. Despite artificial intelligence (AI) successes in perfect-information games, the private information and massive game tree have made no-limit poker difficult to tackle. We present Libratus, an AI that, in a 120,000-hand competition, defeated four top human specialist professionals in heads-up no-limit Texas hold{\textquoteright}em, the leading benchmark and long-standing challenge problem in imperfect-information game solving. Our game-theoretic approach features application-independent techniques: an algorithm for computing a blueprint for the overall strategy, an algorithm that fleshes out the details of the strategy for subgames that are reached during play, and a self-improver algorithm that fixes potential weaknesses that opponents have identified in the blueprint strategy.},
	issn = {0036-8075},
	URL = {https://science.sciencemag.org/content/359/6374/418},
	eprint = {https://science.sciencemag.org/content/359/6374/418.full.pdf},
	journal = {Science}
}

@article{Johanson13,
  title={Measuring the size of large no-limit poker games},
  author={Johanson, Michael},
  journal={arXiv preprint arXiv:1302.7008},
  year={2013}
}

@article{Kuhn53,
  title={Extensive Games and the Problem of Information},
  author={Kuhn, Harold},
  journal={Contributions to the Theory of Games},
  volume={2},
  pages={193--216},
  year={1953}
}

@article{Nash51,
  title={Non-cooperative games},
  author={Nash, John},
  journal={Annals of mathematics},
  pages={286--295},
  year={1951},
  publisher={JSTOR}
}

@article{GakuTu51,
  title={Linear programming and the theory of games},
  author={Gale, David and Kuhn, Harold and Tucker, Albert},
  journal={Activity analysis of production and allocation},
  volume={13},
  pages={317--335},
  year={1951}
}

@article{Neumann28,
  title={Zur {T}heorie der {G}esellschaftsspiele},
  author={Neumann, John von},
  journal={Mathematische annalen},
  volume={100},
  number={1},
  pages={295--320},
  year={1928},
  publisher={Springer}
}

@article{Nesterov05,
  title={Smooth minimization of non-smooth functions},
  author={Nesterov, Yu},
  journal={Mathematical programming},
  volume={103},
  number={1},
  pages={127--152},
  year={2005},
  publisher={Springer}
}

@article{LaLuMo11,
  title={Primal-dual first-order methods with $\mathcal{O}(1/\epsilon)$ iteration-complexity for cone programming},
  author={Lan, Guanghui and Lu, Zhaosong and Monteiro, Renato},
  journal={Mathematical Programming},
  volume={126},
  number={1},
  pages={1--29},
  year={2011},
  publisher={Springer}
}


@article{GiPeSa12,
  title={First-order algorithm with $\mathcal{O}({\rm ln}(1/\epsilon))$ convergence for $\epsilon$-equilibrium in two-person zero-sum games},
  author={Gilpin, Andrew and Pena, Javier and Sandholm, Tuomas},
  journal={Mathematical programming},
  volume={133},
  number={1-2},
  pages={279--298},
  year={2012},
  publisher={Springer}
}

@inproceedings{KroSan14,
  title={Extensive-form game abstraction with bounds},
  author={Kroer, Christian and Sandholm, Tuomas},
  booktitle={Proceedings of the fifteenth ACM conference on Economics and computation},
  pages={621--638},
  year={2014},
  organization={ACM}
}

@article{Sandholm10,
  title={The state of solving large incomplete-information games, and application to poker},
  author={Sandholm, Tuomas},
  journal={AI Magazine},
  volume={31},
  number={4},
  pages={13--32},
  year={2010}
}
